# Interface LazyGenotypesContext.LazyParser

All Known Implementing Classes:
  `BCF2LazyGenotypesDecoder`

Enclosing class:
  `LazyGenotypesContext`

public static interface LazyGenotypesContext.LazyParser
Simple lazy parser interface. Provide an object implementing this interface to LazyGenotypesContext, and it's parse method will be called when the use of the lazy context requires the underlying genotypes data be parsed into Genotype objects. The data argument is the data provided to the LazyGenotypesContext holding encoded genotypes data

## Method Summary

Modifier and Type
Method
Description
`LazyGenotypesContext.LazyData`
`parse(Object data)`

## Method Details

### parse

LazyGenotypesContext.LazyData parse(Object data)